「AltStore」&「AltServer」がv1.4.6へアップデート、iOS 15での動作に対応&メールプラグインの問題も修正

(8)

AltStore】、そしてAltStore自体をインストールするための【AltServer】にてアップデートが行われ、iOS 15への対応が行われています。

また、macOS 11.4以降で使用した際に、互換性のないメールプラグイン…とされてしまう問題も修正(v1.4.6で修正というわけではないのですが…)されていますので、この点についても後述いたします。

スポンサーリンク

AltServer 1.4.6

AltServerのアップデートは、インストール済みAltServer > Check for Updates…から行うことが可能です。
もしくは【Welcome to AltStore】より最新バージョンをダウンロードし、改めてインストールを行ってください。

ちなみに、AltServerの使い方やAltStoreの使い方については特に変更はありませんので、以下記事を参考にしてみてください。
Windowsでの手順【Windows編】AltStore経由でiOSデバイスへアプリをインストールする方法!
Macでの手順【Mac編】AltStore経由でiOSデバイスへアプリをインストールする方法!

update-altstore-and-altserver-v146-support-ios15-2

更新内容

  • iOS 15にて発生していた「Unsupported code signature version」エラーを修正
  • macOS 12 Montereyに対応(メールプラグインのアップデートが必要です)

AltStore 1.4.4

更に、AltStoreアプリ自体のアップデートも行われており、こちらもv1.4.6に。
現時点でiOS 14以下の方は、AltStoreの「My Apps」タブを開くとアップデートが来ていますので、こちらからアップデートを行ってください。

ただし、すでにiOS 15をご使用中の方は、AltServerからAltStoreを再インストールしてください。その際、AltStoreを削除する必要はありません。

update-altstore-and-altserver-v146-support-ios15-4

更新内容

  • iOS 15にて、アプリのサイドロードを修正

注意点

AltStore自体のアップデートを行った際、途中でAltStoreアプリ自体がクラッシュしたかの様な動作になりますが、正常です。

macOS 11.4以降での問題も修正

macOS 11.4以降でAltServerを使用した際、以下のような「互換性のないプラグインの使用停止」というエラーが発生する場合がありました。
この問題は前バージョンである「AltServer 1.4.5」にて修正されており、解決済み…だったはずなのですが、国内外問わず「最新版をインストールしてるのにプラグインエラーが発生する」との報告がたまに…。

update-altstore-and-altserver-v146-support-ios15-3

公式サイトのAltServerが…

私の環境では発生しておらず、エラー報告への反応を見る限りでも…多くの方は問題がないようでした。そのため「何でだろうな…」と悩んでいたのですが…先日判明。

3日ほど前にMacが修理から帰ってきたため、環境をゼロから再構築していた際に気がついたのですが…実はこれ、公式サイトからAltServerをダウンロード&インストールした場合、なぜか最新版ではなくv1.4.4となってしまうという問題が出ていたようです。
その後改めてAltServerのアップデートを行えばv1.4.5が降ってきて改善されるのですが、こりゃ気が付かないよ…。

修正された

今回、AltServer v1.4.6へとアップデートされたのに伴い、公式サイトからダウンロードしたAltServerも最初からv1.4.6になりました
そのため、この問題は発生しなくなっているはずです(メールプラグイン自体にバグがなければですが)。

もし今回の問題が出ていた方は、インストールされているAltServerのバージョンを確認していただき、v1.4.4以前の場合にはアップデートを行ってみるとイイかもしれません。

コメント

  1. アップデート来てました…アップデート絶対にした方がいいですか?それともバージョン保ってた方がいいですか?

    • iOS 14.x以下でご使用中であれば、どちらでも大丈夫かなと思います

  2. 1.4.3b以上にすると文字化けして使えないわ

  3. ちょうど起動したとき、1.45のアップデート表示されてインストして再起動したあと、1.44が最新って表示されて
    1時間もしないうちに、1.46アップデート表示になったわ

    1.46のWindows7に使用するバイナリ変更しないとダメだよな…1.44でいいや

  4. altstoreのウィジェットが表示はされるのですが、機能してないです。みなさんいかがでしょうか、、
    12pro altstore1.4.6 非脱獄

  5. 1.4.6も良いけど、14.6の脱獄はやくきてくれぇ…。

  6. Repro Rebornって機能してますか?
    インストールしなおしてもSignするとエラーになります・・・

    • 前に再インストしてから今までにバージョンが上がったみたいで
      正常に署名更新できました。失礼しました。

タイトルとURLをコピーしました